vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Post Reply
Skyrider
Registered User
Posts: 18
Joined: Tue Nov 15, 2011 12:23 pm

vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by Skyrider » Mon Mar 18, 2019 9:41 am

So, I've been 'attempting' to get a converter to work from vBulletin 4.2.5 to 3.2.5 for a lot of days now. I even attempted:

viewtopic.php?t=1968375&start=150#p13252438

To install from a phpBB 3.0.11 installation, with semi success. It appears that forums, threads, etc are being properly imported. But most posts text are completely empty.
unknown.png

I've even attempted to install it under PHP 5.6, but I keep getting "signal Segmentation fault" crashes after a while when the converter ran. Regardless if I increased the timeout, memory, etc. It was almost instant at a specific convert content. Upgrading to PHP 7.0/7.1 or 7.2 leads to a lot PHP warnings/errors, but is to be expected how old the converter is but oddly enough it did finish the convert but leads to empty/blank posts as per image above.

I've also been looking for hours and noticed that there is no other converters out there, which is quite a shame. I know there are people who are be willing to be paid for it, but I actually wanted to test phpbb first with my own imported board to its full extend but that's almost impossible seeing the state of the ancient and or non-existing importers.

So, if there are no other converters out there (someone really should be making one) is it maybe possible to use a middleman instead? For example:

vB4 -> XenForo -> PHPBB 3.2.x

or

vB4 -> SMF -> PHPBB 3.2.x

Using Xenforo or SMF as a convert middleman to phpbb. Yes, I should this would mean you are converting twice. But if the end results are good, why not?

Regards,
Skyrider

.m.
Registered User
Posts: 438
Joined: Wed Nov 04, 2009 8:39 pm

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by .m. » Mon Mar 18, 2019 11:01 am

signal Segmentation fault
are you trying the conversion on a live web host ?
its security measures might be affecting (eg. mod_security / suhosin)

if so, can you try using a localhost server ..
(eg. xampp server --- one of old versions which uses php 5.x)

Skyrider
Registered User
Posts: 18
Joined: Tue Nov 15, 2011 12:23 pm

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by Skyrider » Mon Mar 18, 2019 12:10 pm

Thanks for replying.

No, wasn't on a live host. I've installed Ubuntu 16.04 on my laptop with a ppa that contained php 5.6 and only installed the required extensions to get php, MySQL and installation to work. Suhosin wasn't one of them. No mod security either.

You think I should downgrade the php even more? Was considering that, and trying. But with a of conflicts with the sources list. Maybe an older version of Linux or xampp might be the best way then.

.m.
Registered User
Posts: 438
Joined: Wed Nov 04, 2009 8:39 pm

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by .m. » Mon Mar 18, 2019 1:03 pm

looks like phpBB 3.0.11 works with PHP versions up to 5.4.11 [reference]

Skyrider
Registered User
Posts: 18
Joined: Tue Nov 15, 2011 12:23 pm

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by Skyrider » Mon Mar 18, 2019 1:57 pm

Well still a difference between phpbb and the converter in compatibility. But I shall try to downgrade even more. Hopefully that'll make a difference.

User avatar
Lumpy Burgertushie
Registered User
Posts: 66241
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by Lumpy Burgertushie » Mon Mar 18, 2019 3:52 pm

and yes, quite often you can find a convertor to some other software that does have a current convertor to phpbb

or, you may be able to just convert to whatever version of phpbb the current convertor works with first, then just upgrade to phpbb3.2.5

robert
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

Skyrider
Registered User
Posts: 18
Joined: Tue Nov 15, 2011 12:23 pm

Re: vBulletin 4.2.5 to phpbb 3.2.5? Or using a middleman?

Post by Skyrider » Tue Mar 19, 2019 12:31 pm

.m. wrote:
Mon Mar 18, 2019 1:03 pm
looks like phpBB 3.0.11 works with PHP versions up to 5.4.11 [reference]
Well I tried using an older PHP4 (above 4.3.3) & PHP 5 (below 5.4) version. I often get the error:
ERROR 1064 (42000) at line 8399: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'USING BTREE,KEY `user_activity` (`userid`,`lastactivity`) USING BTREE) ENGIN' at line 25
Which is most likely due to that the SQL backup is made from a newer version of MySQL and I'm using a much older mysql version through xampp. Though even when I upgrade one by one and its importing just fine then, the converter keeps giving the following error now:
Unknown encoding: utf8

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/utf/utf_tools.php
LINE: 911
CALL: trigger_error()

FILE: [ROOT]/install/convertors/functions_vb4.php
LINE: 57
CALL: utf8_recode()

FILE: [ROOT]/includes/functions_convert.php(1288) : eval()'d code
LINE: 1
CALL: vb_set_encoding()

FILE: [ROOT]/includes/functions_convert.php
LINE: 1288
CALL: eval()

FILE: [ROOT]/install/install_convert.php
LINE: 986
CALL: restore_config()

FILE: [ROOT]/install/install_convert.php
LINE: 203
CALL: install_convert->convert_data()

FILE: [ROOT]/install/index.php
LINE: 326
CALL: install_convert->main()

FILE: [ROOT]/install/index.php
LINE: 203
CALL: module->load()
Am I missing some kind of PHP extension to make this work? mbstring appears to be enabled.

EDIT

I've changed if ($encoding == NULL) to if ($encoding == UTF-8) in functions_vb4.php. Not sure if this is the right approach, but it appears to be working.. Though I often / randomly get the error message (while it's converting:
Post ID: Message parser error:

Your message contains too few characters.
Not to mention some post titles / subjects happen to have these characters (and only those):

Äîáðûé äåíü!

EDIT 2
So, with my change of encoding to "UTF-8" (I assume NULL broke the converter) all posts were now successfully imported for the most part with a few topics / text here being weird characters.. Now to get the attachments to work.

Post Reply

Return to “[3.2.x] Convertors”